using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace LibJasinski.Network
{
	public partial class LoginForm : Form
	{
		private bool _cancelled;
		public LoginForm()
		{
			InitializeComponent();
		}
		public bool Login(InternetConnector conn)
		{
			bool result = false;

			if (conn.AppName.Length > 0)
				this.Text = conn.AppName + " - Proxy Server Login";
			else
				this.Text = "Proxy Server Login";

			uxLogIntoTextBox.Text = conn.ProxyServer;
			uxDomainTextBox.Text = conn.ProxyUserDomain;
			uxUserNameTextBox.Text = conn.ProxyUser;
			_cancelled = false;

			if (DialogResult.Cancel == this.ShowDialog())
			{
				conn.ProxyState = ProxyState.NotUsing;
			}
			else
			{
				result = true;
				conn.ProxyServer = uxLogIntoTextBox.Text;
				conn.ProxyUser = uxUserNameTextBox.Text;
				conn.ProxyUserDomain = uxDomainTextBox.Text;
				conn.ProxyPassword = uxPasswordTextBox.Text;

				Cfg.Def.ProxyServer = conn.ProxyServer;
				Cfg.Def.ProxyUser = conn.ProxyUser;
				Cfg.Def.ProxyUserDomain = conn.ProxyUserDomain;
				Cfg.Def.Save();
			}
			return result;
		}

		private void uxTextBox_Enter(object sender, EventArgs e)
		{
			TextBox t = sender as TextBox;
			t.SelectAll();
		}
		public bool Cancelled
		{
			get { return _cancelled; }
		}

	}
}